import catalogs from "./catalogs/index";
import { CatalogDefinition } from "./types";
export declare const applyCatalog: (currentConfig: CatalogDefinition, catalogToApply: CatalogDefinition) => CatalogDefinition;
export declare const diffCatalog: (currentConfig: CatalogDefinition, catalogToCompare: CatalogDefinition) => import("deep-object-diff").DetailedDiff;
export declare const getCatalogList: () => CatalogDefinition[];
export declare const getCatalog: (id: string) => CatalogDefinition | undefined;
export { catalogs };
